/*
 *  Copyright 2010 Sousan Rassoul
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.jadira.bindings.core.api;


/**
 * Interface defining bindings between a particular class and a String.
 * <p>
 * Implementations must be idempotent between calls and are expected to be thread-safe.
 * @param <T> the type of the binding
 */
public interface StringBinding<T> extends ToStringMarshaller<T>, FromStringUnmarshaller<T> {
}
