package org.jadira.bindings.core.general;

import org.jadira.bindings.core.api.StringBinding;
import org.joda.convert.StringConverter;

public class JodaConvertStringBinding<T> implements StringBinding<T>, StringConverter<T> {

    private Class<T> boundClass;
    private StringConverter<T> converter;

    public JodaConvertStringBinding(Class<T> boundClass, StringConverter<T> converter) {
        this.boundClass = boundClass;
        this.converter = converter;
    }
    
    public String marshal(T object) {
        return converter.convertToString(object);
    }

    public T unmarshal(String inputString) {
        return converter.convertFromString(boundClass, inputString);
    }

    public String convertToString(T object) {
        return converter.convertToString(object);
    }

    public T convertFromString(Class<? extends T> boundClass, String inputString) {
        return converter.convertFromString(boundClass, inputString);
    }

}
