/*
 *  Copyright 2010 Chris Pheby
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.jadira.bindings.core.jdk;

import java.math.BigInteger;

import org.jadira.bindings.core.api.StringBinding;

/**
 * Binds a BigInteger to a String
 */
public class BigIntegerStringBinding extends AbstractStringBinding<BigInteger> implements StringBinding<BigInteger> {

    /**
     * {@inheritDoc}
     */
    @Override
    public BigInteger unmarshal(String object) {
        return new BigInteger(object);
    }
}
