/*
 *  Copyright 2010 Christopher Pheby
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.jadira.bindings.core.loader;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class BindingConfiguration {

    private ArrayList<Provider> providers = new ArrayList<Provider>();
    
    private ArrayList<Binding> bindings = new ArrayList<Binding>();

    public List<Provider> getProviders() {
        return Collections.unmodifiableList(providers);
    }

    public void addProvider(Provider provider) {
        providers.add(provider);
    }
    
    public List<Binding> getBindings() {
        return Collections.unmodifiableList(bindings);
    }

    public void addBinding(Binding binding) {
        bindings.add(binding);
    }
}
    